//const StatesManage = require("StatesManage");
cc.Class({
    extends: require("BaseGameMode"),

    properties: {

    },
    onLoad() {
        this._gamestart = this.gamestart;
        this._initgame = this.initgame;
        //this.scheduleOnce(() => {
        //cc.resources.loadDir("prefab/Pass", (err, prefabs) => {
        //     for (let i = 0; i < prefabs.length; i++) {
        //         StatesManage.Game_Pass[i] = cc.instantiate(prefabs[i]);
        //         //console.log("关卡数：", StatesManage.Game_Pass[i]);
        //     }


        // });
        // }, 20);

    },

    start() {

    },

    // update (dt) {},

});